## kde-gtk-config 5.27.12

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.27.12")
cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons WindowSystem)
find_package(PkgConfig REQUIRED)
find_package(KDecoration2 REQUIRED)
find_package(GSettingSchemas REQUIRED)
find_package(Sass REQUIRED)
find_package(XSettingsd)

pkg_check_modules(GTK+3 REQUIRED IMPORTED_TARGET gtk+-3.0)
pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GObject REQUIRED IMPORTED_TARGET gobject-2.0)
pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)


set_package_properties(XSettingsd PROPERTIES
    DESCRIPTION "XSettingsd daemon"
    TYPE RUNTIME
    PURPOSE "Required to apply settings to GTK applications on the fly"
)

set_package_properties(Sass PROPERTIES
    DESCRIPTION "SASS compiler"
    URL "https://sass-lang.com/"
    PURPOSE "Required for building a modification, that allows Breeze GTK to change it's window decorations' appearance"
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake kded/config.h)

add_subdirectory(gtk3proxies)
add_subdirectory(kded)
add_subdirectory(kconf_update)
add_subdirectory(color-reload-module)
add_subdirectory(window-decorations-reload-module)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kded/kwin_bridge/CMakeLists.txt ===
add_library(KWinBridge STATIC
    dummydecoratedclient.cpp
    dummydecorationbridge.cpp
    dummydecorationsettings.cpp
    decorationpalette.cpp
    decorationpainter.cpp
    auroraedecorationpainter.cpp
    standarddecorationpainter.cpp
)
set_property(TARGET KWinBridge PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(KWinBridge
  PUBLIC
    KDecoration2::KDecoration
  PRIVATE
    KDecoration2::KDecoration2Private
    KF5::ConfigWidgets
    Qt::Svg
)

=== debian/changelog ===
kde-gtk-config (4:5.27.12-0ubuntu0.1) noble; urgency=medium

  * New upstream bugfix release. (LP: #2093184)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 23 Jan 2025 04:53:11 -0700

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Boris Pek <tehnick@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               gsettings-desktop-schemas,
               libgtk-3-dev,
               libkdecorations2-dev (>= 4:5.27.11~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               sassc,
Homepage: https://invent.kde.org/plasma/kde-gtk-config
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: kde-config-gtk-style
Architecture: any
Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends},
Recommends: xsettingsd | xsettings-kde,
Suggests: kde-config-gtk-style-preview,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains kde-gtk-config module for KDE System Settings and
 common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-config-gtk-style,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains binary files for previewing Gtk themes and applying
 them without restarting of Gtk applications.

## kde-gtk-config 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
-project(kde-gtk-config)
-set(PROJECT_VERSION "5.27.12")
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.102.0")
+project(kde-gtk-config)
+set(PROJECT_VERSION "6.1.5")
+
+set(QT_MIN_VERSION "6.6.0")
+set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
 
 include(ECMSetupVersion)
@@ -23,8 +24,8 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons WindowSystem)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS ColorScheme CoreAddons Config GuiAddons DBusAddons WindowSystem)
 find_package(PkgConfig REQUIRED)
 find_package(KDecoration2 REQUIRED)
 find_package(GSettingSchemas REQUIRED)

=== debian/changelog ===
kde-gtk-config (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:12 +0100

kde-gtk-config (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:25 +0100

kde-gtk-config (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:17 +0200

kde-gtk-config (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 00:04:14 +0200

kde-gtk-config (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,33 +4,32 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Boris Pek <tehnick@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.2.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.27.11~),
-               libkf5config-dev (>= 5.102.0~),
-               libkf5configwidgets-dev (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
-               libkf5dbusaddons-dev (>= 5.102.0~),
-               libkf5guiaddons-dev (>= 5.102.0~),
-               libkf5windowsystem-dev (>= 5.102.0~),
-               libqt5svg5-dev (>= 5.15.2~),
+               libkdecorations2-dev (>= 4:6.1.5~),
+               libkf6colorscheme-dev (>= 6.2.0~),
+               libkf6config-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6dbusaddons-dev (>= 6.2.0~),
+               libkf6guiaddons-dev (>= 6.2.0~),
+               libkf6windowsystem-dev (>= 6.2.0~),
                libx11-dev,
-               pkg-kde-tools (>= 0.15.16),
                pkgconf,
-               qtbase5-dev (>= 5.15.2~),
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-svg-dev (>= 6.6.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

## kde-gtk-config 6.2.5

=== debian/changelog ===
kde-gtk-config (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:59:31 +0100

kde-gtk-config (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:07 +0100

kde-gtk-config (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update the list of installed files.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:30 +0100

kde-gtk-config (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:00 +0200

kde-gtk-config (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:46 +0200

kde-gtk-config (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:59 +0200

kde-gtk-config (4:6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 00:51:01 +0200

kde-gtk-config (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:6.1.5~),
-               libkf6colorscheme-dev (>= 6.2.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6dbusaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
+               libkdecorations2-dev (>= 4:6.2.0~),
+               libkf6colorscheme-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6dbusaddons-dev (>= 6.5.0~),
+               libkf6guiaddons-dev (>= 6.5.0~),
+               libkf6windowsystem-dev (>= 6.5.0~),
                libx11-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-svg-dev (>= 6.7.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## kde-gtk-config 6.2.90

=== debian/changelog ===
kde-gtk-config (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Switch kdecorations build dep to libkdecorations3-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:20:59 +0000

kde-gtk-config (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:35 +0000

kde-gtk-config (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:33 +0000

kde-gtk-config (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:6.2.0~),
-               libkf6colorscheme-dev (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6dbusaddons-dev (>= 6.5.0~),
-               libkf6guiaddons-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
+               libkdecorations3-dev (>= 4:6.2.90~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6dbusaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libx11-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
                qt6-svg-dev (>= 6.7.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## kde-gtk-config 6.3.0

=== debian/changelog ===
kde-gtk-config (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:36 +0100

kde-gtk-config (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:42 +0100

kde-gtk-config (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.2.90~),
+               libkdecorations3-dev,
                libkf6colorscheme-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -23,12 +22,12 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libx11-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-svg-dev (>= 6.7.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## kde-gtk-config 6.3.2

=== debian/changelog ===
kde-gtk-config (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:57 +0100

## kde-gtk-config 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -23,11 +23,12 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS ColorScheme CoreAddons Config GuiAddons DBusAddons WindowSystem)
 find_package(PkgConfig REQUIRED)
-find_package(KDecoration2 REQUIRED)
+find_package(KDecoration3 REQUIRED)
 find_package(GSettingSchemas REQUIRED)
 find_package(Sass REQUIRED)
 find_package(XSettingsd)
@@ -58,6 +59,12 @@
 add_subdirectory(color-reload-module)
 add_subdirectory(window-decorations-reload-module)
 
+ecm_qt_install_logging_categories(
+    EXPORT KDE_GTK_CONFIG
+    FILE kde-gtk-config.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== debian/changelog ===
kde-gtk-config (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

## kde-gtk-config 6.3.5

=== debian/changelog ===
kde-gtk-config (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:56 +0100

kde-gtk-config (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:12 +0100

kde-gtk-config (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:16:21 +0000

kde-gtk-config (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current Plasma version.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 10:14:52 +0000

kde-gtk-config (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:49 +0000

kde-gtk-config (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:21:55 +0000

kde-gtk-config (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:53:44 +0000

kde-gtk-config (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.3.5~),
                libkf6colorscheme-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
@@ -26,9 +27,9 @@
                qt6-svg-dev (>= 6.7.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
-Standards-Version: 4.7.2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

## kde-gtk-config 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.4")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kde-gtk-config (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,21 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.3.5~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
+               libkdecorations3-dev (>= 4:6.4.4~),
+               libkf6colorscheme-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkf6windowsystem-dev (>= 6.14.0~),
                libx11-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-svg-dev (>= 6.8.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config

## kde-gtk-config 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 
 set(QT_MIN_VERSION "6.8.0")
 set(KF6_MIN_VERSION "6.14.0")

=== kconf_update/CMakeLists.txt ===
add_executable(gtk_theme)

target_sources (gtk_theme
  PRIVATE
    gtktheme.cpp
    ../kded/config_editor/gsettings.cpp
    ../kded/config_editor/gtk2.cpp
    ../kded/config_editor/settings_ini.cpp
    ../kded/config_editor/utils.cpp
    ../kded/config_editor/xsettings.cpp
)

target_link_libraries(gtk_theme
  PRIVATE
    Qt::Core
    KF6::ConfigCore
    KF6::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(gtk_theme
  PRIVATE
    ../kded/
)

target_compile_definitions(gtk_theme
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    gtk_theme
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

add_executable(remove_deprecated_gtk4_option
  remove_deprecated_gtk4_option.cpp
   ../kded/config_editor/settings_ini.cpp
   ../kded/config_editor/utils.cpp
)

target_link_libraries(remove_deprecated_gtk4_option
  PRIVATE
    Qt::Core
    KF6::ConfigCore
    KF6::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(remove_deprecated_gtk4_option
  PRIVATE
    ../kded/
)

target_compile_definitions(remove_deprecated_gtk4_option
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    remove_deprecated_gtk4_option
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

install(
  FILES
    gtkconfig.upd
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(
  PROGRAMS
    remove_window_decorations_from_gtk_css.sh
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== kded/CMakeLists.txt ===
add_subdirectory(kwin_bridge)
add_subdirectory(scss)

add_library(gtkconfig MODULE)

set(gtkconfig_SRCS
    gtkconfig.cpp
    gsd-xsettings-manager/gsd-xsettings-manager.cpp
    configvalueprovider.cpp
    themepreviewer.cpp
)

qt_add_dbus_adaptor(gtkconfig_SRCS
    gsd-xsettings-manager/org.gtk.Settings.xml
    gsd-xsettings-manager/gsd-xsettings-manager.h
    GSDXSettingsManager
    gsd_xsettings_manager_adaptor
    GSDXSettingsManagerAdaptor
)

target_sources(gtkconfig
  PRIVATE
    ${gtkconfig_SRCS}
)

add_subdirectory(config_editor)

target_compile_definitions(gtkconfig
  PUBLIC
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

target_link_libraries(gtkconfig
  PRIVATE
    KWinBridge
    KF6::WindowSystem
  PUBLIC
    Qt::DBus
    Qt::Svg
    KF6::ColorScheme
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::DBusAddons
    KF6::GuiAddons
    PkgConfig::GTK+3
    PkgConfig::GIO
    PkgConfig::GObject
)

install(TARGETS gtkconfig DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

=== debian/changelog ===
kde-gtk-config (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:56 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations3-dev (>= 4:6.4.4~),
+               libkdecorations3-dev (>= 4:6.4.5~),
                libkf6colorscheme-dev (>= 6.14.0~),
                libkf6config-dev (>= 6.14.0~),
                libkf6coreaddons-dev (>= 6.14.0~),

## kde-gtk-config 6.4.5+p24.04+vstable+git20251003.1112

=== debian/changelog ===
kde-gtk-config (4:6.4.5+p24.04+vstable+git20251003.1112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:12:07 +0000

kde-gtk-config (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:50:51 +0000

kde-gtk-config (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:07:51 +0000

kde-gtk-config (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

kde-gtk-config (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:40:35 +0000

kde-gtk-config (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:37:33 +0000

kde-gtk-config (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:07:58 +0000

kde-gtk-config (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:45:29 +0000

kde-gtk-config (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:56:28 +0000

kde-gtk-config (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:56:30 +0000

kde-gtk-config (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:00:07 +0000

kde-gtk-config (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:43:18 +0000

kde-gtk-config (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:19:41 +0000

kde-gtk-config (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:47:42 +0000

kde-gtk-config (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:22:56 +0000

kde-gtk-config (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:16:49 +0000

kde-gtk-config (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:53:43 +0000

kde-gtk-config (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:57:10 +0000

kde-gtk-config (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:28:03 +0000

kde-gtk-config (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kde-gtk-config (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:23:29 +0000

kde-gtk-config (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:59:44 +0000

kde-gtk-config (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:32:17 +0000

kde-gtk-config (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:50:45 +0000

kde-gtk-config (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:10:59 +0000

kde-gtk-config (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:40:09 +0000

kde-gtk-config (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:56:38 +0000

kde-gtk-config (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:16:27 +0000

kde-gtk-config (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:20 +1000

kde-gtk-config (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:45:06 +0000

kde-gtk-config (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:54:34 +0000

kde-gtk-config (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:04:00 +0000

kde-gtk-config (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:13:29 +0000

kde-gtk-config (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 15:59:24 +0000

kde-gtk-config (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:29:29 +0000

kde-gtk-config (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:25:08 +0000

kde-gtk-config (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:07:19 +0000

kde-gtk-config (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Mar 2023 11:09:16 +0000

kde-gtk-config (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:26:12 +0000

kde-gtk-config (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:40:14 +0000

kde-gtk-config (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:41:40 +0000

kde-gtk-config (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:38:37 +0000

kde-gtk-config (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:17:37 +0000

kde-gtk-config (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:55:09 +0000

kde-gtk-config (4:5.25.5-0neon) focal; urgency=medium

  * New release



## kde-gtk-config 6.4.5+p24.04+vstable+git20251004.0433

=== debian/changelog ===
kde-gtk-config (4:6.4.5+p24.04+vstable+git20251004.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:33:34 +0000

## kde-gtk-config 6.4.5+p24.04+vstable+git20251017.0812

=== debian/changelog ===
kde-gtk-config (4:6.4.5+p24.04+vstable+git20251017.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:12:55 +0000

## kde-gtk-config 6.4.5+p24.04+vunstable+git20250924.0853

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.80")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kde-gtk-config (4:6.4.5+p24.04+vunstable+git20250924.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 08:53:43 +0000

## kde-gtk-config 6.4.5+p24.04+vunstable+git20250930.1635

=== debian/changelog ===
kde-gtk-config (4:6.4.5+p24.04+vunstable+git20250930.1635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:35:16 +0000

## kde-gtk-config 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.4.91")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-gtk-config (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Use plasma-devel@kde.org as the upstream contact.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:09:25 +0200

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               gsettings-desktop-schemas,
               libgtk-3-dev,
               libkdecorations3-dev,
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               sassc,
Homepage: https://invent.kde.org/plasma/kde-gtk-config
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: kde-config-gtk-style
Architecture: any
Depends: gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: xsettingsd | xsettings-kde,
Suggests: kde-config-gtk-style-preview,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains kde-gtk-config module for KDE System Settings and
 common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-gtk-style,
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains binary files for previewing Gtk themes and applying
 them without restarting of Gtk applications.

## kde-gtk-config 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-gtk-config (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:12 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any

## kde-gtk-config 6.5.0+p24.04+vstable+git20251028.2231

=== debian/changelog ===
kde-gtk-config (4:6.5.0+p24.04+vstable+git20251028.2231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:31:27 +0000

kde-gtk-config (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         fonts-oxygen,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

## kde-gtk-config 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kde-gtk-config)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== color-reload-module/CMakeLists.txt ===
add_library(colorreload-gtk3-module MODULE
    reloader.c
)

target_link_libraries(colorreload-gtk3-module
    PRIVATE
      PkgConfig::GLib2 
      PkgConfig::GTK+3 
)

set_target_properties(colorreload-gtk3-module
    PROPERTIES
      OUTPUT_NAME libcolorreload-gtk-module
)

install(
    TARGETS colorreload-gtk3-module 
    DESTINATION ${KDE_INSTALL_LIBDIR}/gtk-3.0/modules
)

=== kded/kwin_bridge/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,15 @@
 
 target_link_libraries(KWinBridge
   PUBLIC
-    KDecoration2::KDecoration
+    KDecoration3::KDecoration
   PRIVATE
-    KDecoration2::KDecoration2Private
-    KF5::ConfigWidgets
+    KDecoration3::KDecoration3Private
+    KF6::ColorScheme
+    KF6::CoreAddons
     Qt::Svg
 )
+
+ecm_qt_declare_logging_category(KWinBridge HEADER debug.h IDENTIFIER KWINBRIDGE_LOG CATEGORY_NAME org.kde.plasma.gtkconfig.kwinbridge
+    DESCRIPTION "KDE GTK Config KWin Bridge"
+    EXPORT KDE_GTK_CONFIG
+)

=== debian/changelog ===
kde-gtk-config (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
